Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • EnableSharding
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • ResetupHosts
        • RestartHosts
        • StepdownHosts
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Host
  • Resources
  • Service
  • HostParameters
  1. API reference
  2. REST
  3. Cluster
  4. ListHosts

Managed Service for MongoDB API, REST: Cluster.ListHosts

Written by
Yandex Cloud
Updated at July 13, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Host
  • Resources
  • Service
  • HostParameters

Retrieves a list of hosts for the specified cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/hosts

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the MongoDB cluster.
To get the MongoDB cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListClusterHostsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Acceptable values are 0 to 1000, inclusive. Default value: 100.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListClusterHostsResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "hosts": [
    {
      "name": "string",
      "clusterId": "string",
      "zoneId": "string",
      "resources": {
        "resourcePresetId": "string",
        "diskSize": "string",
        "diskTypeId": "string"
      },
      "role": "string",
      "health": "string",
      "services": [
        {
          "type": "string",
          "health": "string"
        }
      ],
      "subnetId": "string",
      "assignPublicIp": "boolean",
      "shardName": "string",
      "type": "string",
      "hostParameters": {
        "hidden": "boolean",
        "secondaryDelaySecs": "string",
        "priority": "string",
        "tags": "object",
        "votes": "string"
      }
    }
  ],
  "nextPageToken": "string"
}

Field

Description

hosts[]

Host

List of Host resources.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListClusterHostsRequest.pageSize, use the nextPageToken as the value
for the ListClusterHostsRequest.pageToken query parameter in the next list request.
Each subsequent list request will have its own nextPageToken to continue paging through the results.

HostHost

Field

Description

name

string

Name of the MongoDB host. The host name is assigned by MDB at creation time, and cannot be changed.
1-63 characters long.
The name is unique across all MDB hosts that exist on the platform, as it defines the FQDN of the host.

clusterId

string

ID of the MongoDB host. The ID is assigned by MDB at creation time.

zoneId

string

ID of the availability zone where the MongoDB host resides.

resources

Resources

Resources allocated to the MongoDB host.

role

enum (Role)

Role of the host in the cluster. If the field has default value, it is not returned in the response.

  • ROLE_UNKNOWN: Role of the host in the cluster is unknown. Default value.
  • PRIMARY: Host is the primary MongoDB server in the cluster.
  • SECONDARY: Host is a secondary MongoDB server in the cluster.

health

enum (Health)

Aggregated health of the host. If the field has default value, it is not returned in the response.

  • HEALTH_UNKNOWN: Health of the host is unknown. Default value.
  • ALIVE: The host is performing all its functions normally.
  • DEAD: The host is inoperable, and cannot perform any of its essential functions.
  • DEGRADED: The host is degraded, and can perform only some of its essential functions.

services[]

Service

Services provided by the host.

subnetId

string

ID of the subnet that the host belongs to.

assignPublicIp

boolean

Flag showing public IP assignment status to this host.

shardName

string

Shard which this host belongs to.

type

enum (Type)

Host type. If the field has default value, it is not returned in the response.

  • MONGOD: A mongod host.
  • MONGOS: A mongos host.
  • MONGOCFG: A mongocfg host.
  • MONGOINFRA: A mongoinfra (mongos+mongocfg) host.

hostParameters

HostParameters

Host parameters

ResourcesResources

Field

Description

resourcePresetId

string

ID of the preset for computational resources available to a host (CPU, memory etc.).
All available presets are listed in the documentation.

diskSize

string (int64)

Volume of the storage available to a host, in bytes.

diskTypeId

string

Type of the storage environment for the host.
Possible values:

  • network-hdd - network HDD drive,
  • network-ssd - network SSD drive,
  • local-ssd - local SSD storage.

ServiceService

Field

Description

type

enum (Type)

Type of the service provided by the host. If the field has default value, it is not returned in the response.

  • MONGOD: The host is running a mongod daemon.
  • MONGOS: The host is running a mongos daemon.
  • MONGOCFG: The host is running a MongoDB config server.

health

enum (Health)

Aggregated health of the service. If the field has default value, it is not returned in the response.

  • HEALTH_UNKNOWN: Health of the server is unknown.
  • ALIVE: The server is working normally.
  • DEAD: The server is dead or unresponsive.

HostParametersHostParameters

Field

Description

hidden

boolean

Whether the host is hidden in the replica set.

secondaryDelaySecs

string (int64)

Replica delay (in seconds) relative to the primary host.

priority

string

Replica priority used by the replica set when electing a new primary.

tags

object (map<string, string>)

Replica tags used to control read preference and write concern.

votes

string (int64)

Host votes. Controls host participation in elections.

Was the article helpful?

Previous
ListBackups
Next
AddHosts
© 2026 Direct Cursus Technology L.L.C.